
QGIS Application - Bug report #19140

QGIS keeps crashing

2018-06-07 03:55 PM - Martin Beckmann

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.0.1 Regression?: No

Operating System: Windows 7 Professional Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26970

Description

Hello,

today i updated QGIS from 2.2.4 to 3.0.1 at my workplace. Since a few hours, QGIS crashes instantly or a few moments after i open it.

I get this report:

Crash ID: b7693e9aafd3ece03bd92b5684d7df2bef90319d

Stack Trace

geos::index::strtree::STRtree::STRIntersectsOp::~STRIntersectsOp :

QgsGeos::offsetCurve :

QgsGeometry::offsetCurve :

QgsSymbolLayerUtils::needSvgMarker :

QgsSimpleLineSymbolLayer::renderPolyline :

QgsLineSymbol::renderPolylineUsingLayer :

QgsLineSymbol::renderPolyline :

QgsSymbol::renderFeature :

QgsFeatureRenderer::renderFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererCustomPainterJob::doRender :

QgsMapRendererCustomPainterJob::staticRender :

QgsRenderContext::segmentationToleranceType :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: commit:a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64
Kernel Type: winnt

Kernel Version: 6.1.7601

__

Best wishes,

Martin

History

#1 - 2018-06-07 06:45 PM - Harrissou Santanna

It occurs when you open QGIS (and a brand new project) or when you open an old 2.2 project? The 2.2 to 3.0 gap is a huge one....

#2 - 2018-06-08 02:10 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #19110
